| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs
OgreDataStream.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSharedPtr.h"`
`#include <istream>`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::DataStream
| General purpose class used for encapsulating the reading and writing of data. More...
class | Ogre::FileHandleDataStream
| Common subclass of DataStream for handling data from C-style file handles. More...
class | Ogre::FileStreamDataStream
| Common subclass of DataStream for handling data from std::basic_istream. More...
class | Ogre::MemoryDataStream
| Common subclass of DataStream for handling data from chunks of memory. More...
class | Ogre::StaticCache< cacheSize >
| Template version of cache based on static array. More...

## Namespaces
| Ogre

## Macros
#define | OGRE_STREAM_TEMP_SIZE 128

## Typedefs
typedef std::list< DataStreamPtr > | Ogre::DataStreamList
| List of DataStream items. More...

## Macro Definition Documentation

## ◆ OGRE_STREAM_TEMP_SIZE

#define OGRE_STREAM_TEMP_SIZE 128